This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 542742 - [RFE, packaging] Missing conflicts make yum think you can use older xorg-x11-drv-* drivers
[RFE, packaging] Missing conflicts make yum think you can use older xorg-x11-...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
12
All Linux
high Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Improvement, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-30 12:29 EST by James Antill
Modified: 2010-12-06 15:00 EST (History)
5 users (show)

See Also:
Fixed In Version: xorg-x11-drv-ivtv-1.1.1-3.fc14
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-27 13:11:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Antill 2009-11-30 12:29:50 EST
Description of problem:
To try and work around 542729, I tried to install the F11 driver ... and that works as far as yum is concerned ... but fails at runtime with something like:

 Can't open driver "ati"
 missing symbol: resVgaShared

...it'd be nice to add conflicts when you break ABI compat. ... or even better would be to have some real ABI requires data in the packages.
Comment 1 Adam Jackson 2009-12-09 12:50:49 EST
It sure would.

I've tried to do this in the past, and the major problem I run into is I want to generate the Provides from the X server based on the output of a file that is itself created during build.  %() doesn't work for this because it's expanded at spec parse time, not use.  And I can't for the life of me get overriding %__find_provides to work.
Comment 2 James Antill 2009-12-09 16:20:06 EST
Panu, can you help ajax out?

 """ the major problem I run into is I want
to generate the Provides from the X server based on the output of a file that
is itself created during build """
Comment 3 Matěj Cepl 2010-02-26 07:22:56 EST
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]
Comment 4 Panu Matilainen 2010-02-26 08:24:59 EST
Oh, sorry this has gotten lost in all the bugzilla noise.

For current versions of rpm there's no generic way to override dependency extraction except by switching to external dependency generator which has other unwanted side-effects. But... looking at the find-provides script in xorg-x11-server CVS, it talks about extracting ABI versions from .pc file(s). If that's indeed the case then you're in luck, as pkg-config provides can be overridden:

%define __pkgconfig_provides %{SOURCE30}

Note that you'll need to call the real pkg-config dependency extractor from your script in addition to doing whatever you do in the script, otherwise overriding will cause broken dependencies. Another thing worth noting is that the __pkgconfig_provides script will get called once per each .pc file found in the buildroot.
Comment 5 Adam Jackson 2010-10-27 13:11:35 EDT
Fixed in rawhide.
Comment 6 Nicolas Chauvet (kwizart) 2010-11-28 06:44:38 EST
*** Bug 657804 has been marked as a duplicate of this bug. ***
Comment 7 Fedora Update System 2010-11-28 09:57:49 EST
xorg-x11-drv-ivtv-1.1.1-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/xorg-x11-drv-ivtv-1.1.1-3.fc14
Comment 8 Fedora Update System 2010-12-06 15:00:24 EST
xorg-x11-drv-ivtv-1.1.1-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.